Module java.desktop
Package java.awt.desktop

## Class OpenURIEvent

- java.lang.Object
- - java.util.EventObject
  - - java.awt.desktop.AppEvent
    - - java.awt.desktop.OpenURIEvent

All Implemented Interfaces:
  Serializable

    public final class OpenURIEvent
    extends AppEvent

Event sent when the app is asked to open a `URI`.

Since:
  9
See Also:
  `OpenURIHandler.openURI(AppEvent.OpenURIEvent)`, Serialized Form

### Field Summary

### Fields inherited from class java.util.EventObject

`source`

### Constructor Summary

Constructors
Constructor and Description
`OpenURIEvent(URI uri)` Constructs an `OpenURIEvent`

### Method Summary

All Methods Instance Methods Concrete Methods
`URI` `getURI()` Get the `URI` the app was asked to open

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OpenURIEvent

    public OpenURIEvent(URI uri)

Constructs an `OpenURIEvent`

Parameters:
  `uri` - `URI`

### Method Detail

#### getURI

    public URI getURI()

Get the `URI` the app was asked to open

Returns:
  the `URI`